Results 1 to 2 of 2
  1. #1

    Member Since
    Aug 16, 2013
    new iPod Classic and a PowerPC Mac
    I have the latest powerPC Mac workstation and a new iPod Classic. The latest iTunes version the mac supports is 10.6.3. I am seeing this error message when I plug in my new iPod Classic: The iPod “iPod” cannot be used because it requires iTunes version 10.7 or later. Go to to download the latest version of iTunes. How do I reset the iPod to work with iTunes 10.6.3?

  2. #2

    bobtomay's Avatar
    Member Since
    Dec 22, 2006
    Texas, where else?
    15" MBP '06 2.33 C2D 4GB 10.7; 13" MBA '14 1.8 i7 8GB 10.11; 21" iMac '13 2.9 i5 8GB 10.11; 6S
    You don't.

    You're going to need an Intel Mac running 10.6.8 in order to sync with any of the latest iPods incl'g the Classic.

    Or return the iPod and check ebay/other places for an older model.
    I cannot be held responsible for the things that come out of my mouth.
    In the Windows world, most everything folks don't understand is called a virus.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Transfer of photos from iPod Classic to Mac (iPhoto)
    By tmkly in forum Images, Graphic Design, and Digital Photography
    Replies: 2
    Last Post: 11-03-2012, 09:03 PM
  2. ipod classic on mac and PC?
    By outofrange47 in forum iPod Hardware and Accessories
    Replies: 1
    Last Post: 10-18-2010, 08:08 PM
  3. Can a Mac Genius or others tell when I damaged my iPod Classic?
    By myprettycabinet in forum iPod Hardware and Accessories
    Replies: 3
    Last Post: 11-10-2009, 01:31 PM
  4. Problems opening Classic on OS X 10.4.11 PowerPC
    By Smorlock in forum Running Windows (or anything else) on your Mac
    Replies: 1
    Last Post: 07-25-2008, 01:49 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts